config/routes.rb
Rails.application.routes.draw do
  devise_for :users
  resources :messages
  root 'messages#index'
end

app/models/application_record.rb
class ApplicationRecord < ActiveRecord::Base
  self.abstract_class = true
end

app/models/message.rb
class Message < ApplicationRecord
end

app/models/user.rb
class User < ApplicationRecord
  # Include default devise modules. Others available are:
  # :confirmable, :lockable, :timeoutable and :omniauthable
  devise :database_authenticatable, :registerable,
         :recoverable, :rememberable, :trackable, :validatable
end

app/controllers/application_controller.rb
class ApplicationController < ActionController::Base
  protect_from_forgery with: :exception
end

app/controllers/messages_controller.rb
class MessagesController < ApplicationController
  before_action :find_message, except: [:index, :new, :create]

  def index
    @messages = Message.all.order('created_at DESC')
  end

  def show
  end

  def new
    @message = Message.new
  end

  def create
    @message = Message.new(message_params)

    if @message.save
      redirect_to root_path
    else
      render 'new'
    end
  end

  def edit
  end

  def update
    if @message.update(message_params)
      redirect_to @message
    else
      render 'edit'
    end
  end

  def destroy
    @message.destroy
    redirect_to root_path
  end

  private

    def message_params
      params.require(:message).permit(:title, :description)
    end

    def find_message
      @message = Message.find(params[:id])
    end
end

app/helpers/application_helper.rb
module ApplicationHelper
end

app/helpers/messages_helper.rb
module MessagesHelper
end

app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
  <head>
    <title>Espn</title>
    <%= csrf_meta_tags %>

    <%= stylesheet_link_tag    'application', media: 'all', 'data-turbolinks-track': 'reload' %>
    <%= javascript_include_tag 'application', 'data-turbolinks-track': 'reload' %>
  </head>

  <body>
    <p class="notice"><%= notice %></p>
    <p class="alert"><%= alert %></p>
    <%= yield %>
  </body>
</html>

app/views/messages/_form.html.haml
= simple_form_for @message do |f|
  = f.input :title, label: 'Message Title'
  = f.input :description
  = f.button :submit

app/views/messages/edit.html.haml
.col-md-8.col-md-offset-2
  %h1.new-msg-header Fix Message
  = render 'form'

app/views/messages/index.html.haml
- @messages.each do |msg|
  .col-md-10.col-md-offset-1
    .message
      %h2.message-title= msg.title
      = link_to 'Join convo', msg, class: 'btn-custom'

= link_to 'New Message', new_message_path      

app/views/messages/new.html.haml
.col-md-8.col-md-offset-2
  %h1.new-msg-header Post Message
  = render 'form'

app/views/messages/show.html.haml
.col-md-10.col-md-offset-1
  .message-show
    %h2= @message.title
    %p.message_posted_by #{time_ago_in_words(@message.created_at)} ago
    %p.message-desc= @message.description

    .links.btn-groups
      = link_to 'Back', root_path, class: 'btn btn-default'
      = link_to 'Edit', edit_message_path(@message), class: 'btn btn-primary'
      = link_to 'Delete', message_path(@message), method: :delete, data: {confirm: 'Are you sure?'}, class: 'btn btn-danger'